version: '3'

services:

  ska:
    container_name: ska
    #image: git.ia2.inaf.it:5050/butora/vlkb-datasets/soda:latest
    #image: registry.gitlab.com/ska-telescope/src/visivo-vlkb-soda:1.5.6
    image: soda:latest
    ports:
      - 18019:8080
    environment:
      - SECURITY=
      - ACCESS_CONTEXT_ROOT=ska#datasets
      #- RESPONSE_FORMAT=application/fits
      #- RESPONSE_FORMAT=application/fits;createfile=yes
    volumes:
      - /srv/ska/surveys:/srv/surveys:z,ro
      - /srv/ska/cutouts:/srv/cutouts:z,rw
    restart: always


  ska-ssl:
    container_name: ska-ssl
    #image: git.ia2.inaf.it:5050/butora/vlkb-datasets/soda:latest
    #image: registry.gitlab.com/ska-telescope/src/visivo-vlkb-soda:1.5.6
    image: soda:latest
    ports:
      - 18025:8443
    environment:
      - SECURITY=iamtoken
      - ACCESS_CONTEXT_ROOT=ska#datasets
      #- RESPONSE_FORMAT=application/fits
      #- RESPONSE_FORMAT=application/fits;createfile=yes
    volumes:
      - /srv/ska/surveys:/srv/surveys:z,ro
      - /srv/ska/cutouts:/srv/cutouts:z,rw
    restart: always

